<?php

class Login extends Controller {

    public function index() {
        if (isset($_POST['action_login'])) {
            if ($_POST['user'] && $_POST['pass']) {
                $usuario = $this->loadModel('Usuarios_model');
                
                if (($usuario = $usuario->login($_POST['user'], $_POST['pass']))) {
                    $usuario['PRIVILEGIOS'] = explode('|', $usuario['PRIVILEGIOS']);
                    $_SESSION['login_user'] = $usuario;
                    header('Location:' . URL_SITIO);
                }
            }

            $_err = "Los datos ingresados son incorrectos";
            $_POST = array();
        }
        
        $css_template = array('login');
        $js_template = array('login');
        $page_template = 'login/index';
        
        require APP_DIR.'views/_templates/general.php';
    }

}
